#当前服务的基本信息
microservice:
  ename: @artifactId@
  name: '@name@'
  version: @version@
  sentinel:
    url: @sentinel.url@
  gateway:
    url: @gateway.url@
server:
  port: 10201
#feign接口开启服务熔断降级处理
feign:
  sentinel:
    enabled: true
spring:
  application:
    name: @artifactId@
#  main:
#    allow-bean-definition-overriding: true
#  #nacos注册中心以及配置中心的指定
#  cloud:
#    servicecomb:
#      service:
#        name: ${spring.application.name}
#        version: 0.0.1
#        application: pms-application
#        environment: production
#      discovery:
#        address: https://116.63.42.60:30100
#        health-check-interval: 10
#        poll-interval: 15000
#        wait-time-for-shut-down-in-millis: 15000
#      config:
#        server-addr: https://116.63.42.60:30110
#        server-type: kie
#        kie:
#          custom-label: ${spring.application.name}
#          custom-label-value: default
#         自定义配置，使用文本的key/value配置项作为yaml格式配置
#        fileSource: cse.share.yaml,cse.db.yaml





  cloud:
    nacos:
      discovery:
        ip: @service.server.url@
        server-addr: @nacos.url@
        namespace: @nacos.namespace@
      config:
        server-addr: @nacos.url@
        namespace: @nacos.namespace@
        file-extension: yaml
        shared-configs:
          - data-id: share-config.yaml
            refresh: true
          - data-Id: share-config-datasource-db.yaml
            refresh: true
  main:
    allow-bean-definition-overriding: true


#项目日志的配置
logging:
  config: http://@nacos.url@/nacos/v1/cs/configs?tenant=@nacos.namespace@&group=DEFAULT_GROUP&dataId=logback.xml
  level:
    root: info


#mybatis配置信息
mybatis-plus:
  #别名扫描
  type-aliases-package: com.njcn.user.pojo

mqtt:
  client-id: @artifactId@${random.value}

